summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-02-27 20:26:16 +0100
committerPacho Ramos <pacho@gentoo.org>2018-02-27 20:29:05 +0100
commit68c7a7942d91857c0c85408878bc915606731a20 (patch)
tree5cc410a1aff1adc70955ec23e5c69a4ccd0a60f7 /net-print/cndrvcups-lb
parentnet-print/cndrvcups-common-lb: Version bump, fixing compat with glibc-2.26 (#... (diff)
downloadgentoo-68c7a7942d91857c0c85408878bc915606731a20.tar.gz
gentoo-68c7a7942d91857c0c85408878bc915606731a20.tar.bz2
gentoo-68c7a7942d91857c0c85408878bc915606731a20.zip
net-print/cndrvcups-lb: Version bump, fixing compat with glibc-2.26 (#637682)
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'net-print/cndrvcups-lb')
-rw-r--r--net-print/cndrvcups-lb/Manifest1
-rw-r--r--net-print/cndrvcups-lb/cndrvcups-lb-3.50.ebuild108
2 files changed, 109 insertions, 0 deletions
diff --git a/net-print/cndrvcups-lb/Manifest b/net-print/cndrvcups-lb/Manifest
index 897a01b4ad8..e1a0ef78f7b 100644
--- a/net-print/cndrvcups-lb/Manifest
+++ b/net-print/cndrvcups-lb/Manifest
@@ -1 +1,2 @@
DIST linux-UFRII-drv-v340-uken.tar.gz 117746329 BLAKE2B fafdddedd1b09f33742ae55dfb41994ad3ac6ef5a8c9dc7e7b2a87ec8f5596f1079aead966a89f366c7548cc730328dc594b04747e7946560f83d6df2716d73f SHA512 05f12d2cac5ae9987fe389be1a15b11d280734f6d47b86f04fa2fcb61bf94175b7afdba4cc1cf5ecf2c1ef5a8e2c14eda5d72f7671618d7c94581c620fea4494
+DIST linux-UFRII-drv-v350-uken.tar.gz 116120579 BLAKE2B fa5f521f4eec375fa0d9efb7b47ff6dd88f47c36fa5750818f7e367058b8ccafce99b9f8f9d9195e1e5e0e2f1b77a7c0cc1524786f111b065204d0472601202b SHA512 2eeb1448cb76ac156e1e5f6df46141ee5605b0bed1c25f31b0f039fb9f579fe3d5732b132cae391e78276c550febc19366f958d1fb53c93f955303f1f5c37ab3
diff --git a/net-print/cndrvcups-lb/cndrvcups-lb-3.50.ebuild b/net-print/cndrvcups-lb/cndrvcups-lb-3.50.ebuild
new file mode 100644
index 00000000000..489c7b540f4
--- /dev/null
+++ b/net-print/cndrvcups-lb/cndrvcups-lb-3.50.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools versionator
+
+MY_PV="$(delete_all_version_separators)"
+SOURCES_NAME="linux-UFRII-drv-v${MY_PV}-uken"
+
+DESCRIPTION="Canon UFR II / LIPSLX Printer Driver for Linux"
+HOMEPAGE="https://www.canon-europe.com/support/products/imagerunner/imagerunner-1133.aspx?type=drivers&language=EN&os=LINUX"
+SRC_URI="http://gdlp01.c-wss.com/gds/0/0100009240/01/${SOURCES_NAME}.tar.gz"
+
+LICENSE="Canon-UFR-II"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-libs/libxml2-2.9.1-r4[abi_x86_32(-)]
+ >=gnome-base/libglade-2.4:2.0
+ >=net-print/cups-1.1.17
+ ~net-print/cndrvcups-common-lb-${PV}
+ >=x11-libs/gtk+-2.4:2
+ virtual/jpeg:62[abi_x86_32(-)]
+"
+DEPEND="${DEPEND}"
+
+S="${WORKDIR}/${SOURCES_NAME}/Sources/${P}"
+
+MAKEOPTS+=" -j1"
+
+pkg_setup() {
+ # Don't raise a fuss over pre-built binaries
+ QA_PREBUILT="
+ /usr/bin/cnpkbidi
+ /usr/bin/cnpkmoduleufr2
+ /usr/$(get_abi_LIBDIR x86)/libEnoJPEG.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libEnoJBIG.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libufr2filter.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libcnlbcm.so.1.0
+ /usr/$(get_abi_LIBDIR x86)/libcaiocnpkbidi.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libcanonufr2.so.1.0.0
+ "
+ QA_SONAME="/usr/$(get_abi_LIBDIR x86)/libcaiocnpkbidi.so.1.0.0"
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${WORKDIR}/${SOURCES_NAME}/Sources/" || die
+ unpack ./${P}-1.tar.gz
+}
+
+change_dir() {
+ for i in ppd pstoufr2cpca cngplp cngplp/files cpca ; do
+ cd "${i}" || die
+ "${@}"
+ cd "${S}" || die
+ done
+}
+
+src_prepare() {
+ default
+ sed -i -e \
+ "s:filterdir = \$(libdir)/cups/filter:filterdir = `cups-config --serverbin`/filter:" \
+ pstoufr2cpca/filter/Makefile.am || die
+
+ export "LIBS=-lgmodule-2.0"
+ change_dir eautoreconf
+}
+
+src_configure() {
+ change_dir econf
+}
+
+src_install() {
+ default
+ einstalldocs
+
+ find "${D}" -name '*.la' -delete || die
+
+ cd "${S}/data" || die
+ insinto /usr/share/caepcm
+ doins *
+
+ cd "${S}/libs" || die
+ insinto /usr/share/cnpkbidi
+ doins cnpkbidi_info*
+
+ insinto /usr/share/ufr2filter
+ doins ThLB*
+
+ ABI=x86
+ dobin cnpkbidi cnpkmoduleufr2
+ dolib.so libcnlbcm.so.1.0
+ dosym libcnlbcm.so.1.0 "/usr/$(get_libdir)/libcnlbcm.so.1"
+ dosym libcnlbcm.so.1.0 "/usr/$(get_libdir)/libcnlbcm.so"
+ for lib in *.so.?.?.?; do
+ dolib.so "${lib}"
+ dosym "${lib}" "/usr/$(get_libdir)/${lib%.?.?}"
+ dosym "${lib}" "/usr/$(get_libdir)/${lib%.?.?.?}"
+ done
+
+ # c3pldrv dlopens the absolute path /usr/lib/libcnlbcm.so :(
+ if [[ "$(get_libdir)" != lib ]]; then
+ dosym "../$(get_libdir)/libcnlbcm.so" /usr/lib/libcnlbcm.so
+ fi
+}